nom: Test
type: test
description: "Il s'agit d'un connecteur d'entité de test qui ne fait rien"
restriction_pack:
    - suppl_test
formulaire:
    page0:
        champs1:
        champs2:
        champs3:
            commentaire: 'Un changement sur champs3 entraine un changement sur champs4'
            onchange: change_4
        champs4:
        champs5:
            type: file
            visionneuse: Pastell\Viewer\RawViewer
        champs6:
            type: file
            multiple: true
        external_data:
            type: externalData
            link_name: choix
            choice-action: PastellCoreConnecteurTestExternalData
action:
    ok:
        name: 'Répondre "OK !"'
        action-class: PastellCoreTestOK
    fail:
        name: Fail
        action-class: PastellCoreTestFail
    not_possible:
        rule:
            internal-action: true
    change_4:
        rule:
            internal-action: true
        action-class: PastellCoreChange4
    PastellCoreConnecteurTestExternalData:
        rule:
            internal-action: true
        action-class: PastellCoreConnecteurTestExternalData
    une_action_auto:
        action-class: PastellCoreTestOK
        action-automatique: une_action_auto
    une_action_long_auto:
        action-class: PastellCoreActionLongue
        action-automatique: une_action_long_auto
    une_action_auto_fail:
        action-class: PastellCoreTestFatalError
        action-automatique: une_action_auto_fail
